Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 183654 - anaconda http installation downloading RPMs *twice*
Summary: anaconda http installation downloading RPMs *twice*
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-03-02 15:19 UTC by Frank Ch. Eigler
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-12 18:15:01 UTC


Attachments (Terms of Use)

Description Frank Ch. Eigler 2006-03-02 15:19:28 UTC
Description of problem:
Looking at the web server logs, and at tcpdump packet dumps, it seems
that during the main RPM-by-RPM installation phase, anaconda is requesting
each RPM *twice*.  It doesn't use HEAD or get a partial copy - it GETs the
whole darned RPM each time.

Comment 1 Jeremy Katz 2006-03-02 19:11:29 UTC
It should be just doing byte-ranges to get the header for the first stage.

What web server are you using?

Comment 2 Frank Ch. Eigler 2006-03-02 19:28:17 UTC
The web server runs apache 2.0.53-3.4.legacy with a customized configuration. 
The byte range makes sense, however in the tcpdump packets, I recall no sign of
the Range:-related headers.  In case a web server doesn't support byte ranges
(for whatever reason), do you think it is reasonable for anaconda/urlgrabber to
request two copies?

Comment 3 Chris Lumens 2006-03-13 19:29:29 UTC
Can you attach some of your web server logs or tcpdump output?

Comment 4 Frank Ch. Eigler 2006-03-13 19:44:13 UTC
The web server logs simply indicate consecutive identical downloads:

dhcp7.elastic.org [192.168.1.17] - - [02/Mar/2006:11:52:36 -0500] "GET
/%7Efche/FC5/Fedora/RPMS/xorg-x11-drv-sis-0.8.1.3-1.2.i386.rpm HTTP/1.1" 200
289210 "-" "urlgrabber/2.9.6"
dhcp7.elastic.org [192.168.1.17] - - [02/Mar/2006:11:52:37 -0500] "GET
/%7Efche/FC5/Fedora/RPMS/xorg-x11-drv-sis-0.8.1.3-1.2.i386.rpm HTTP/1.1" 200
289210 "-" "urlgrabber/2.9.6"

Searching backward through the logs, I see when the range query was done during
the planning stage:

dhcp7.elastic.org [192.168.1.17] - - [02/Mar/2006:10:04:22 -0500] "GET
/%7Efche/FC5/Fedora/RPMS/xorg-x11-drv-sisusb-0.7.1.3-1.2.i386.rpm HTTP/1.1" 206
3558 "-" "urlgrabber/2.9.6"

The same pattern appears for every RPM installed, starting libgcc-4.1-0.27.


Comment 5 Chris Lumens 2006-04-12 18:15:01 UTC
Yep, we certainly were downloading each package twice.  Fixed in Rawhide. 
Thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.